Bug 106130 - Runtime dependency on a non-existent class
Runtime dependency on a non-existent class
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: domain (Show other bugs)
nightly
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2003-10-02 20:09 EDT by Scott Parnell
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Parnell 2003-10-02 20:09:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624

Description of problem:
ClassNotFound exceptions for com.arsdigita.cms.user.ItemIndexPage. The
com.arsdigita.cms.user package is not present in the ccm-cms rpm, but the
javadoc for the com.arsdigita.cms.user package is in the corresponding api rpm.
My understanding is that these classes are no longer part of cms.

$ nl -ba src/com/arsdigita/cms/ContentSection.java | head -n 1205 | tail -n 13
  1193      protected static void createDefaultResources(ContentSection section) {
  1194  
  1195              // XML resources
  1196              ResourceType rt = ResourceType.findResourceType("xml");
  1197              Resource r =
  1198                 
rt.createInstance("com.arsdigita.cms.ui.ContentSectionPage");
  1199              r.save();
  1200              ResourceMapping rm = r.createInstance(section, "admin");
  1201              rm.save();
  1202              rm = r.createInstance(section, "admin/index");
  1203              rm.save();
  1204  
  1205              r = rt.createInstance("com.arsdigita.cms.user.ItemIndexPage");

ItemIndexPage does not exist.  When we try to instantiate it via reflection, JRE
blows up.


Version-Release number of selected component (if applicable):
ccm-cms-6.1.0.AUTO.09.25.2003

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
I removed and reinstalled all of the ccm packages, removed and reinstalled
tomcat, and dropped, then recreated the database. The problem no longer occurs,
so I'm unable to tell what caused that section of code to run.

Actual Results:  n/a

Additional info:
Comment 1 Jon Orris 2006-09-05 13:45:59 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.